मेरा उपयोगकर्ता विवरण प्राप्त करें
curl --request GET \
--url https://api.x.com/2/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"includes": {
"media": [
{
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
}
],
"places": [
{
"full_name": "Lakewood, CO",
"id": "f7eb2fa2fea288b1",
"contained_within": [
"f7eb2fa2fea288b1"
],
"country": "United States",
"country_code": "US",
"geo": {
"bbox": [
-105.193475,
39.60973,
-105.053164,
39.761974
],
"properties": {},
"type": "Feature",
"geometry": {
"coordinates": [
-105.18816086351444,
40.247749999999996
],
"type": "Point"
}
},
"name": "Lakewood",
"place_type": "city"
}
],
"polls": [
{
"id": "1365059861688410112",
"options": [
{
"label": "<string>",
"position": 123,
"votes": 123
}
],
"duration_minutes": 5042,
"end_datetime": "2023-11-07T05:31:56Z",
"voting_status": "open"
}
],
"topics": [
{
"id": "<string>",
"name": "Technology",
"description": "All about technology"
}
],
"tweets": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"users": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
]
}
}{
"code": 123,
"message": "<string>"
}उपयोगकर्ता लुकअप
मेरा उपयोगकर्ता विवरण प्राप्त करें
प्रमाणित उपयोगकर्ता का विवरण प्राप्त करता है।
GET
/
2
/
users
/
me
मेरा उपयोगकर्ता विवरण प्राप्त करें
प्राधिकरण
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
क्वेरी पैरामीटर
दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
Minimum array length:
1उपलब्ध विकल्प:
affiliation, confirmed_email, connection_status, created_at, description, entities, id, is_identity_verified, location, most_recent_tweet_id, name, parody, pinned_tweet_id, profile_banner_url, profile_image_url, protected, public_metrics, receives_your_dm, subscription, subscription_type, url, username, verified, verified_followers_count, verified_type, withheld उदाहरण:
[
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
विस्तार के लिए फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिनका आप विस्तार कर सकते हैं। अगर किसी फ़ील्ड में ID है, तो उसका विस्तार करके उसे पूर्ण ऑब्जेक्ट के रूप में प्राप्त किया जा सकता है।
Minimum array length:
1उपलब्ध विकल्प:
affiliation.user_id, most_recent_tweet_id, pinned_tweet_id उदाहरण:
[
"affiliation.user_id",
"most_recent_tweet_id",
"pinned_tweet_id"
]
दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
Minimum array length:
1उपलब्ध विकल्प:
article, attachments, author_id, card_uri, community_id, context_annotations, conversation_id, created_at, display_text_range, edit_controls, edit_history_tweet_ids, entities, geo, id, in_reply_to_user_id, lang, media_metadata, non_public_metrics, note_tweet, organic_metrics, possibly_sensitive, promoted_metrics, public_metrics, referenced_tweets, reply_settings, scopes, source, suggested_source_links, suggested_source_links_with_counts, text, withheld उदाहरण:
[
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]
प्रतिक्रिया
अनुरोध सफल रहा है।
X User ऑब्जेक्ट।
Show child attributes
Show child attributes
उदाहरण:
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
Minimum array length:
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes